import { SimpleLocalIntegration } from '../../core/index.js';
import { EufyConfigFlow } from './eufy.classes.configflow.js';
import { createEufyDiscoveryDescriptor } from './eufy.discovery.js';
import type { IEufyConfig } from './eufy.types.js';
import { eufyDomain, eufyProfile } from './eufy.types.js';

export class EufyIntegration extends SimpleLocalIntegration<IEufyConfig> {
  public readonly domain = eufyDomain;
  public readonly discoveryDescriptor = createEufyDiscoveryDescriptor();
  public readonly configFlow = new EufyConfigFlow();

  constructor() {
    super(eufyProfile);
  }
}

export class HomeAssistantEufyIntegration extends EufyIntegration {}
